%define name_base       zita-convolver
%define name            libzita-convolver
%define version         2.0.0
%define release         %mkrel 2 
%define lib_major       2
%define lib_name        %mklibname %name_base %{lib_major} 
%define lib_name_devel  %mklibname %name_base -d

Name:           %{name}
Summary:        Audio convolution engine library needed by jconvolver
Version:        %{version} 
Release:        %{release}

Source:         http://www.kokkinizita.net/linuxaudio/downloads/zita-convolver-2.0.0.tar.bz2
URL:            http://www.kokkinizita.net/linuxaudio/
License:        LGPLv2
Group:          Sound
BuildRequires:  fftw3-devel

%description
Convolution engine library for use with jconvolver. Jconvolver is a 
Convolution Engine for JACK using FFT-based partitioned convolution with 
multiple partition sizes. It is mainly used to create realistic acoustic
environments for sounds sent to its input. Jconvolver uses a configurable 
smallest partition size at the start of the impulse response, and longer 
ones further on. This it allows long impulse responses along with minimal 
or even zero delay at a reasonable CPU load. 

#-----------------------------------
%package -n %{lib_name}

Summary:        Audio convolution engine library needed by jconvolver
Group:          Sound

%description -n %{lib_name}
Convolution engine library for use with jconvolver. Jconvolver is a 
Convolution Engine for JACK using FFT-based partitioned convolution with 
multiple partition sizes. It is mainly used to create realistic acoustic
environments for sounds sent to its input. Jconvolver uses a configurable 
smallest partition size at the start of the impulse response, and longer 
ones further on. This it allows long impulse responses along with minimal 
or even zero delay at a reasonable CPU load. 

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.*

#-----------------------------------
%package -n %{lib_name_devel}

Summary:        zita-convolver library development headers
Group:          Sound
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against libzita-convolver.

%files -n %{lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%dir %{_includedir}
%{_includedir}/*.h

#-----------------------------------

%prep 
%setup -q -n %name_base-%{version}
cd libs
perl -pi -e 's/PREFIX =/#PREFIX =/g' Makefile
perl -pi -e 's/CPPFLAGS \+=/#CPPFLAGS \+=/g' Makefile
perl -pi -e 's/ldconfig//g' Makefile

%build
cd libs
CPPFLAGS="%{optflags} -fPIC -mmmx -msse -mfpmath=sse -ffast-math" make 

%install
rm -rf %{buildroot}
cd libs
PREFIX=%{buildroot}%{_prefix} make install

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif


%changelog
* Thu Mar 04 2010 Frank Kober <emuse@mandriva.org> 2.0.0-2mdv2010.1
+ Revision: 514246
- rebuild
- use optimization flags

* Tue Mar 02 2010 Frank Kober <emuse@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 513698
- import libzita-convolver
- import libzita-convolver


